VIRTIO(4)

NAME
virtio - VirtIO support driver

SYNOPSIS
virtio* at pci?

DESCRIPTION
The virtio driver provides support service for paravirtualized devices using the VirtIO protocol. Such devices are provided by bhyve, KVM, QEMU, and VirtualBox.

Currently there are drivers for the following virtio devices:

vio(4)
    VirtIO network device
vioblk(4)
    VirtIO disk
viomb(4)
    VirtIO memory ballooning driver
viornd(4)
    VirtIO random number device
vioscsi(4)
    VirtIO SCSI adapter

The virtio driver conforms to the virtio 0.9.5 specification. The virtio 1.0 standard is not supported, yet.

SEE ALSO
intro(4)

HISTORY
The virtio driver first appeared in OpenBSD 5.3.

AUTHORS
-nosplit The virtio driver was ported to OpenBSD and improved by Stefan Fritsch <sf@sfritsch.de>. It is based on the NetBSD driver by Minoura Makoto.